Subject: A question about the draft-wang-bess-sbfd-discriminator

From: Greg Mirsky <[email-masked]>
Date: Mon, 14 Mar 2022 09:44:09 -0700

Hi Haibo and the Authors,
thank you for updating the draft. I've read the new version and have a
question about the use case presented in the document. There are three PEs
with two of them providing redundant access to a CE. It appears that a more
general case would be if both CEs use redundant connections to the EVPN.
Asume, PE4 is added and connected to CE2. In that case, it seems reasonable
that each PE is monitoring remote PEs, i.e., PE1 monitors PE3 and PE4, PE2
- PE3 and PE4, PE3 - PE1 and PE2, and PE4 - PE1 and PE2. So, now there are
pairs of S-BFD sessions between PEs connected to CE1 and CE2 respectively.
That seems like too many sessions and that number can be reduced if one
uses BFD instead of S-BFD. Would you agree? To simplify operations, it
might be helpful to use the technique described in
draft-ietf-bfd-unsolicited
<https://datatracker.ietf.org/doc/html/draft-ietf-bfd-unsolicited-09>. In
the recent discussion of the draft on the BFD WG ML, the authors noted that
they are working on extending the scope to include the multi-hop BFD.
Greatly appreciate your thoughts about the number of S-BFD sessions.

Regards,
Greg

---

From: Reshad Rahman <[email-masked]>
Date: Tue, 15 Mar 2022 02:35:56 +0000 (UTC)

Hi Greg, authors,

Greg, is your point is that instead of having a pair of S-BFD sessions between 2 PEs, we can have 1 (traditional) BFD session between 2 PEs? In general I agree that S-BFD is better suited when only 1 side needs to perform continuity tests.
Authors, in section 3.1 3rd paragraph, last sentence, I'm not sure I fully understand. Instead of having 2 S-BFD sessions on PE3 (as initiator) to PE1 and PE2 (the responders), how are you merging this into 1 single session?
Also, I think the document would be clearer if the terms initiator and responder (as per RFC7880) are used in the document.
Regards,Reshad.

    On Monday, March 14, 2022, 12:44:55 PM EDT, Greg Mirsky <[email-masked]> wrote:  
 
 Hi Haibo and the Authors,thank you for updating the draft. I've read the new version and have a question about the use case presented in the document. There are three PEs with two of them providing redundant access to a CE. It appears that a more general case would be if both CEs use redundant connections to the EVPN. Asume, PE4 is added and connected to CE2. In that case, it seems reasonable that each PE is monitoring remote PEs, i.e., PE1 monitors PE3 and PE4, PE2 - PE3 and PE4, PE3 - PE1 and PE2, and PE4 - PE1 and PE2. So, now there are pairs of S-BFD sessions between PEs connected to CE1 and CE2 respectively. That seems like too many sessions and that number can be reduced if one uses BFD instead of S-BFD. Would you agree? To simplify operations, it might be helpful to use the technique described in draft-ietf-bfd-unsolicited. In the recent discussion of the draft on the BFD WG ML, the authors noted that they are working on extending the scope to include the multi-hop BFD.Greatly appreciate your thoughts about the number of S-BFD sessions.
Regards,Greg

---

From: Greg Mirsky <[email-masked]>
Date: Mon, 14 Mar 2022 19:51:52 -0700

Hi Reshad,
I agree with you that if in all the deployment scenarios there's always
only one node in a pair of nodes that needs to be aware of the path
continuity to the remote system, then S-BFD has an advantage compared to
"classic" RFC 5880-style BFD. I think that the use case presented in the
document is not generic. In the more general case, as I imagine, PEs
connected to CE1 and CE2 would benefit from monitoring the undelay network
continuity between them. Hence, my suggestion to use RFC 5880-style BFD
rather than S-BFD.

Regards,
Greg

On Mon, Mar 14, 2022 at 7:36 PM Reshad Rahman <[email-masked]> wrote:

> Hi Greg, authors,
>
>
> Greg, is your point is that instead of having a pair of S-BFD sessions
> between 2 PEs, we can have 1 (traditional) BFD session between 2 PEs? In
> general I agree that S-BFD is better suited when only 1 side needs to
> perform continuity tests.
>
> Authors, in section 3.1 3rd paragraph, last sentence, I'm not sure I fully
> understand. Instead of having 2 S-BFD sessions on PE3 (as initiator) to PE1
> and PE2 (the responders), how are you merging this into 1 single session?
>
> Also, I think the document would be clearer if the terms initiator and
> responder (as per RFC7880) are used in the document.
>
> Regards,
> Reshad.
>
>

---

From: "Wanghaibo (Rainsword)" <[email-masked]>
Date: Tue, 15 Mar 2022 14:20:31 +0000

Hi Greg,
       Thanks for your comments.
       The scenario you pointed out is a 4PE scenario, but in our solution, a large number of scenarios are based on 3PE.
In a 3PE scenario, deploying BFD wastes resources. A large number of single-homed PEs may be connected to the dual-homed PEs. The dual-homed PEs may not have enough resources to create BFD sessions.

Regards,
Haibo

From: Greg Mirsky [mailto:[email-masked]]
Sent: Tuesday, March 15, 2022 12:44 AM
To: Wanghaibo (Rainsword) <[email-masked]>; [email-masked]; BESS <[email-masked]>; rtg-bfd WG <[email-masked]>
Subject: A question about the draft-wang-bess-sbfd-discriminator

Hi Haibo and the Authors,
thank you for updating the draft. I've read the new version and have a question about the use case presented in the document. There are three PEs with two of them providing redundant access to a CE. It appears that a more general case would be if both CEs use redundant connections to the EVPN. Asume, PE4 is added and connected to CE2. In that case, it seems reasonable that each PE is monitoring remote PEs, i.e., PE1 monitors PE3 and PE4, PE2 - PE3 and PE4, PE3 - PE1 and PE2, and PE4 - PE1 and PE2. So, now there are pairs of S-BFD sessions between PEs connected to CE1 and CE2 respectively. That seems like too many sessions and that number can be reduced if one uses BFD instead of S-BFD. Would you agree? To simplify operations, it might be helpful to use the technique described in draft-ietf-bfd-unsolicited<https://datatracker.ietf.org/doc/html/draft-ietf-bfd-unsolicited-09>. In the recent discussion of the draft on the BFD WG ML, the authors noted that they are working on extending the scope to include the multi-hop BFD.
Greatly appreciate your thoughts about the number of S-BFD sessions.

Regards,
Greg

---

From: "Wanghaibo (Rainsword)" <[email-masked]>
Date: Tue, 15 Mar 2022 14:27:27 +0000

Hi Reshad,

       Thanks for your comments first.

|Authors, in section 3.1 3rd paragraph, last sentence, I'm not sure I fully understand. Instead of |having 2 S-BFD sessions on PE3 (as initiator) to PE1 and PE2 (the responders), how are you merging |this into 1 single session?
[Haibo]: There may be a misinterpretation of the description here. Here we want to say, for PE3 (as initiator) and PE1 (as the responder)，there may be some SBFD sessions used to detect the VPNSID. For this case, we may merged them to an SBFD session used to detect the PE3’s locator.

|Also, I think the document would be clearer if the terms initiator and responder (as per RFC7880) are |used in the document.
       [Haibo]: We will modified it in the next version.

Regards,
Haibo

From: Reshad Rahman [mailto:[email-masked]]
Sent: Tuesday, March 15, 2022 10:36 AM
To: Wanghaibo (Rainsword) <[email-masked]>; [email-masked]; BESS <[email-masked]>; rtg-bfd WG <[email-masked]>; Greg Mirsky <[email-masked]>
Subject: Re: A question about the draft-wang-bess-sbfd-discriminator

Hi Greg, authors,

Regards,
Reshad.

On Monday, March 14, 2022, 12:44:55 PM EDT, Greg Mirsky <[email-masked]<mailto:[email-masked]>> wrote:

Regards,
Greg

---

From: Greg Mirsky <[email-masked]>
Date: Tue, 15 Mar 2022 08:11:56 -0700

Hi Haibo,
thank you for your expedient response. If I understand the scenario you're
addressing, it is where a single PE with moderate resources is connected to
a PE that acts as the edge device for the access network. To improve the
quality of user experience, customer's PE is connected to a secondary PE
that is used as a backup. You are concerned that maintaining two BFD
sessions on the customer's PE might overload the resource-limited PE. But
isn't that the PE that initiates S-BFD sessions toward two access
network edge PEs in your draft? I think that the savings are on the side of
these two PEs, not the subscriber's PE. Would you agree?

Regards,
Greg

On Tue, Mar 15, 2022 at 7:20 AM Wanghaibo (Rainsword) <
[email-masked]> wrote:

>        The scenario you pointed out is a 4PE scenario, but in our
> solution, a large number of scenarios are based on 3PE.
>
> In a 3PE scenario, deploying BFD wastes resources. A large number of
> single-homed PEs may be connected to the dual-homed PEs. The dual-homed PEs
> may not have enough resources to create BFD sessions.
>
>
>
> Regards,
>
> Haibo
>
>
>
> *From:* Greg Mirsky [mailto:[email-masked]]
> *Sent:* Tuesday, March 15, 2022 12:44 AM
> *To:* Wanghaibo (Rainsword) <[email-masked]>;
> [email-masked]; BESS <[email-masked]>;
> rtg-bfd WG <[email-masked]>
> *Subject:* A question about the draft-wang-bess-sbfd-discriminator
>
>
>

---

From: "Wanghaibo (Rainsword)" <[email-masked]>
Date: Wed, 16 Mar 2022 02:18:03 +0000

Hi Greg,
       Thanks for you comments.
Yes, the resources will save at PE1 and PE2 as figure 1. This is a typical 3PE scenario.
       The service is like this:
+-----+    +-----+        +-----+
| UCE1|----| APE1|--------|SPE1 |,
+-----+    +-----+`      /+-----+ `.
                   `,  .'           `.+-----+
           ......    \/               | SCE1|
                     /\              `+-----+
                    `  `.          ,'
+-----+    +-----+,'     .+-----+ `
| uCEn|----| APEn|--------|SPE2 |`
+-----+    +-----+        +-----+
       There may be many Access PEs，used to access User CE. And they all multi-homed to a couple Servicc PE, SPE1 and SPE2.
       (shown as the PE1 and PE2 as figure 1)
        Access PE needs to detect Service PE’s reachability. Access PE creates SBFD session as an initiator, SPE as the reflector. This will save Service PEs’ resources.

Regards,
Haibo

From: Greg Mirsky [mailto:[email-masked]]
Sent: Tuesday, March 15, 2022 11:12 PM
To: Wanghaibo (Rainsword) <[email-masked]>
Cc: [email-masked]; BESS <[email-masked]>; rtg-bfd WG <[email-masked]>
Subject: Re: A question about the draft-wang-bess-sbfd-discriminator

Hi Haibo,
thank you for your expedient response. If I understand the scenario you're addressing, it is where a single PE with moderate resources is connected to a PE that acts as the edge device for the access network. To improve the quality of user experience, customer's PE is connected to a secondary PE that is used as a backup. You are concerned that maintaining two BFD sessions on the customer's PE might overload the resource-limited PE. But isn't that the PE that initiates S-BFD sessions toward two access network edge PEs in your draft? I think that the savings are on the side of these two PEs, not the subscriber's PE. Would you agree?

Regards,
Greg

On Tue, Mar 15, 2022 at 7:20 AM Wanghaibo (Rainsword) <[email-masked]<mailto:[email-masked]>> wrote:
Hi Greg,
       Thanks for your comments.
       The scenario you pointed out is a 4PE scenario, but in our solution, a large number of scenarios are based on 3PE.
In a 3PE scenario, deploying BFD wastes resources. A large number of single-homed PEs may be connected to the dual-homed PEs. The dual-homed PEs may not have enough resources to create BFD sessions.

Regards,
Haibo

From: Greg Mirsky [mailto:[email-masked]<mailto:[email-masked]>]
Sent: Tuesday, March 15, 2022 12:44 AM
To: Wanghaibo (Rainsword) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; BESS <[email-masked]<mailto:[email-masked]>>; rtg-bfd WG <[email-masked]<mailto:[email-masked]>>
Subject: A question about the draft-wang-bess-sbfd-discriminator

Regards,
Greg

---

From: Greg Mirsky <[email-masked]>
Date: Sat, 19 Mar 2022 13:29:23 -0700

Hi Haibo,
thank you for the clarification. I may suggest a text for Section 3:

In some EVPN deployments, for example, when it spans over multiple domains,
only one of a pair of interconnected PEs benefits from monitoring the
status of the connection. In such a case, using S-BFD [RFC7880] is
advantageous as it reduces the load on one of the PEs while providing the
benefit of faster convergence. The following sections provide examples of
EVPNs that would benefit from using S-BFD.

What are your thoughts?

Regards,
Greg

On Tue, Mar 15, 2022 at 7:18 PM Wanghaibo (Rainsword) <
[email-masked]> wrote:

>        There may be many Access PEs，used to access User CE. And they all
> multi-homed to a couple Servicc PE, SPE1 and SPE2.
>
>         Access PE needs to detect Service PE’s reachability. Access PE
> creates SBFD session as an initiator, SPE as the reflector. This will save
> Service PEs’ resources.
>
>
>
> Regards,
>
> Haibo
>
>
>
> *Sent:* Tuesday, March 15, 2022 11:12 PM
> *To:* Wanghaibo (Rainsword) <[email-masked]>
> *Cc:* [email-masked]; BESS <[email-masked]>;
> *Subject:* Re: A question about the draft-wang-bess-sbfd-discriminator
>
>
>
> Hi Haibo,
>

---

From: "Wanghaibo (Rainsword)" <[email-masked]>
Date: Wed, 23 Mar 2022 11:53:36 +0000

Hi Greg,

Thanks for your suggestion.
I think your suggestion is good, we will modify it in the next version.

Regards,
Haibo

|-----Original Message-----
|From: Greg Mirsky [mailto:[email-masked]]
|Sent: Sunday, March 20, 2022 4:29 AM
|To: Wanghaibo (Rainsword) <[email-masked]>
|Cc: [email-masked]; BESS <[email-masked]>; rtg-bfd
|WG <[email-masked]>
|Subject: Re: A question about the draft-wang-bess-sbfd-discriminator
|
|Hi Haibo,
|thank you for the clarification. I may suggest a text for Section 3:
|
|In some EVPN deployments, for example, when it spans over multiple domains,
|only one of a pair of interconnected PEs benefits from monitoring the status of
|the connection. In such a case, using S-BFD [RFC7880] is advantageous as it
|reduces the load on one of the PEs while providing the benefit of faster
|convergence. The following sections provide examples of EVPNs that would
|benefit from using S-BFD.
|
|What are your thoughts?
|
|Regards,
|Greg
|
|On Tue, Mar 15, 2022 at 7:18 PM Wanghaibo (Rainsword) <
[email-masked]> wrote:
|
|> Hi Greg,
|>
|>        Thanks for you comments.
|>
|> Yes, the resources will save at PE1 and PE2 as figure 1. This is a
|> typical 3PE scenario.
|>
|>        The service is like this:
|>
|> +-----+    +-----+        +-----+
|>
|> | UCE1|----| APE1|--------|SPE1 |,
|>
|> +-----+    +-----+`      /+-----+ `.
|>
|>                    `,  .'           `.+-----+
|>
|>            ......    \/               | SCE1|
|>
|>                      /\              `+-----+
|>
|>                     `  `.          ,'
|>
|> +-----+    +-----+,'     .+-----+ `
|>
|> | uCEn|----| APEn|--------|SPE2 |`
|>
|> +-----+    +-----+        +-----+
|>
|>        There may be many Access PEs，used to access User CE. And they
|> all multi-homed to a couple Servicc PE, SPE1 and SPE2.
|>
|>        (shown as the PE1 and PE2 as figure 1)
|>
|>         Access PE needs to detect Service PE’s reachability. Access PE
|> creates SBFD session as an initiator, SPE as the reflector. This will
|> save Service PEs’ resources.
|>
|>
|>
|> Regards,
|>
|> Haibo
|>
|>
|>
|> *From:* Greg Mirsky [mailto:[email-masked]]
|> *Sent:* Tuesday, March 15, 2022 11:12 PM
|> *To:* Wanghaibo (Rainsword) <[email-masked]>
|> *Cc:* [email-masked]; BESS
|> <[email-masked]>; rtg-bfd WG <[email-masked]>
|> *Subject:* Re: A question about the draft-wang-bess-sbfd-discriminator
|>
|>
|>
|> Hi Haibo,
|>
|> thank you for your expedient response. If I understand the scenario
|> you're addressing, it is where a single PE with moderate resources is
|> connected to a PE that acts as the edge device for the access network.
|> To improve the quality of user experience, customer's PE is connected
|> to a secondary PE that is used as a backup. You are concerned that
|> maintaining two BFD sessions on the customer's PE might overload the
|> resource-limited PE. But isn't that the PE that initiates S-BFD
|> sessions toward two access network edge PEs in your draft? I think
|> that the savings are on the side of these two PEs, not the subscriber's PE.
|Would you agree?
|>
|>
|>
|> Regards,
|>
|> Greg
|>
|>
|>
|> On Tue, Mar 15, 2022 at 7:20 AM Wanghaibo (Rainsword) <
|> [email-masked]> wrote:
|>
|> Hi Greg,
|>
|>        Thanks for your comments.
|>
|>        The scenario you pointed out is a 4PE scenario, but in our
|> solution, a large number of scenarios are based on 3PE.
|>
|> In a 3PE scenario, deploying BFD wastes resources. A large number of
|> single-homed PEs may be connected to the dual-homed PEs. The
|> dual-homed PEs may not have enough resources to create BFD sessions.
|>
|>
|>
|> Regards,
|>
|> Haibo
|>
|>
|>
|> *From:* Greg Mirsky [mailto:[email-masked]]
|> *Sent:* Tuesday, March 15, 2022 12:44 AM
|> *To:* Wanghaibo (Rainsword) <[email-masked]>;
|> [email-masked]; BESS <[email-masked]>;
|> rtg-bfd WG <[email-masked]>
|> *Subject:* A question about the draft-wang-bess-sbfd-discriminator
|>
|>
|>
|> Hi Haibo and the Authors,
|>
|> thank you for updating the draft. I've read the new version and have a
|> question about the use case presented in the document. There are three
|> PEs with two of them providing redundant access to a CE. It appears
|> that a more general case would be if both CEs use redundant connections to
|the EVPN.
|> Asume, PE4 is added and connected to CE2. In that case, it seems
|> reasonable that each PE is monitoring remote PEs, i.e., PE1 monitors
|> PE3 and PE4, PE2
|> - PE3 and PE4, PE3 - PE1 and PE2, and PE4 - PE1 and PE2. So, now there
|> are pairs of S-BFD sessions between PEs connected to CE1 and CE2
|respectively